17 Aug 2012 amatus   » (Journeyer)

Problem with numpy on FreeBSD with gcc-4.4 and gcc-4.6 installed. Python 2.7.3 (default, Aug 17 2...

Problem with numpy on FreeBSD with gcc-4.4 and gcc-4.6 installed.

Python 2.7.3 (default, Aug 17 2012, 09:37:35) 
[GCC 4.2.2 20070831 prerelease [FreeBSD]] on freebsd8
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python2.7/site-packages/numpy/_init_.py", line 137, in <module>
    import add_newdocs
  File "/usr/local/lib/python2.7/site-packages/numpy/add_newdocs.py", line 9, in <module>
    from numpy.lib import add_newdoc
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/_init_.py", line 13, in <module>
    from polynomial import *
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/polynomial.py", line 17, in <module>
    from numpy.linalg import eigvals, lstsq
  File "/usr/local/lib/python2.7/site-packages/numpy/linalg/_init_.py", line 48, in <module>
    from linalg import *
  File "/usr/local/lib/python2.7/site-packages/numpy/linalg/linalg.py", line 23, in <module>
    from numpy.linalg import lapack_lite
ImportError: /usr/local/lib/gcc44/libgfortran.so.3: version GFORTRAN_1.4 required by /usr/local/lib/liblapack.so.4 not found
>>>
# ldconfig -r | grep lgfortran
        946:-lgfortran.3 => /usr/local/lib/gcc44/libgfortran.so.3
        956:-lgfortran.3 => /usr/local/lib/gcc46/libgfortran.so.3
# pkg_info -W /usr/local/lib/gcc44/libgfortran.so.3
/usr/local/lib/gcc44/libgfortran.so.3 was installed by package gcc-4.4.7,1
# pkg_info -W /usr/local/lib/gcc46/libgfortran.so.3
/usr/local/lib/gcc46/libgfortran.so.3 was installed by package gcc-4.6.4.20120608
# pkg_delete -f gcc-4.4.7,1
pkg_delete: package 'gcc-4.4.7,1' is required by these other packages
and may not be deinstalled (but I'll delete it anyway):
audacity-2.0.0_2
ffmpeg-0.7.12_2,1
kdelibs-4.8.4
okular-4.8.4
picard-1.0
strigi-0.7.7_3
x264-0.123.2189_2
# python
Python 2.7.3 (default, Aug 17 2012, 09:37:35) 
[GCC 4.2.2 20070831 prerelease [FreeBSD]] on freebsd8
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
>>> 

Syndicated 2012-08-17 14:53:27 from Plus Public Activity Feed for David Barksdale

Latest blog entries     Older blog entries

New Advogato Features

New HTML Parser: The long-awaited libxml2 based HTML parser code is live. It needs further work but already handles most markup better than the original parser.

Keep up with the latest Advogato features by reading the Advogato status blog.

If you're a C programmer with some spare time, take a look at the mod_virgule project page and help us with one of the tasks on the ToDo list!